# OpenLayers.Format.ArcXML.Features

Read/Write ArcXML features. Create a new instance with the OpenLayers.Format.ArcXML.Features constructor.

#### Inherits from

- OpenLayers.Format.XML

Summary

OpenLayers.Format.ArcXML.Features | Read/Write ArcXML features.
Constructor |
OpenLayers.Format.ArcXML.Features | Create a new parser/writer for ArcXML Features.
Functions |
read | Read data from a string of ArcXML, and return a set of OpenLayers features.

### Constructor

### OpenLayers.Format.ArcXML.Features

Create a new parser/writer for ArcXML Features. Create an instance of this class to get a set of features from an ArcXML response.

#### Parameters

options | {Object} An optional object whose properties will be set on this instance.

### Functions

### read

> read: function( | data | )

Read data from a string of ArcXML, and return a set of OpenLayers features.

#### Parameters

data | {String} or {DOMElement} data to read/parse.

#### Returns

{Array(OpenLayers.Feature.Vector)} A collection of features.

> read: function( | data | )

Read data from a string of ArcXML, and return a set of OpenLayers features.
Create a new parser/writer for ArcXML Features.
Read and write XML.
Vector features use the OpenLayers.Geometry classes as geometry description.
Close